from django.conf import settings
from django.conf.urls.static import static
from django.urls import path, include
from .views import *


urlpatterns = [
    path('', ProductList.as_view(), name='base'),
    path('service/<int:pk>', ProductView.as_view(), name='prod_uct'),
    path('service/', ProductListMax.as_view(), name='service'),
    path('register/', RegistrationUserForm.as_view(), name='register'),
    path('profile/', profile, name='profile'),
    path('search_result/', Search.as_view(), name='search_result'),
    path('log/', log, name='log'),
]+ static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)